#!/usr/bin/perl

use strict;
use FDN::Common::Config;
use FDN::Adsl::Adhs;
use FDN::Adsl::Utils;
use CGI;

my $cgi = new CGI;
my $vars = $cgi->Vars;
my $dir = Config_Key('adsl/global.cfg','dirs','mapdir');
my $map = $vars->{'map'};
my $prefix = '';
if ( $map =~ /^tn-/ ) {
	$map =~ s/^tn-//;
	$prefix = 'tn-';
}

my $mapf = Config_Key('adsl/maps.cfg','map-'.$map,'file');
my $file = $dir.'/'.$prefix.$mapf;

if ( -f $file ) {
	send_png_file($file);
} else {
	eject_page_error("Carte introuvable");
	print "File not found: $file\n";
}


