#!/usr/bin/perl

use strict;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;

prepare_page_adh();
my $page = '';
my $cid = $sess->{content}->{cid};

my $prlid = $vars->{ligid};
my $prl = prlligsepa_par_id($prlid);
if ( $prl->{'CLIENT_ID'} ne $cid ) {
	eject_page_adh('Permission denied');
	exit(0);
}
my $pbq = prlbq_par_id($prl->{'PRLBQ_ID'});
$page .= tableau_1d('adsl/adhs/rewrite.tbl','prlligsepa',{ %$prl, %$pbq});

my @crs = creance_par_prlligsepa_id($prlid);
$page .= tableau_2d('adsl/adhs/rewrite.tbl','creance',\@crs);

eject_page_adh($page);


