<h1>Utiliser une adresse mail FDN</h1>

<h2>Comment a se prsente?</h2>

<p>FDN cre des botes aux lettres en crant des comptes utilisateurs
sur le serveur de messagerie. Quand on cre l'utilisateur <tt>toto</tt>,
a cre automatiquement la bote aux lettres <tt>toto@imap.fdn.fr</tt>.
Souvent, les adhrents veulent une adresse plus raisonnable, comme
<tt>jean.dupont@fdn.fr</tt>. FDN cre alors un alias, une adresse virtuelle,
dont le mail est renvoy vers la bote aux lettres relle.</p>

<p>Ainsi, notre adhrent Jean Dupont aura probablement comme login sur
le serveur de messagerie <tt>jdupont</tt>. C'est--dire comme adresse
mail principale <tt>jdupont@imap.fdn.fr</tt>. Mais il est probable qu'il
ne se servira jamais de cette adresse relle, mais plutt de l'adresse lisible
<tt>jean.dupont@fdn.fr</tt>.</p>

<p>Quand l'association vous cre une bote aux lettres, elle vous fournit
trois informations:</p>
<ul>
<li>la liste des alias qui ont t crs (dans notre exemple <tt>jean.dupont@fdn.fr</tt>);</li>
<li>le login correspondant  la bote aux lettres (dans notre exemple <tt>jdupont</tt>);</li>
<li>le mot de passe correspondant.</li>
</ul>

<h2>Comment a s'utilise?</h2>

<p>C'est trs dpendant de votre logiciel de messagerie!</p>

<p>Normalement, il doit disposer d'une option, dans un des menus, permettant d'ajouter
un nouveau compte de messagerie. Pour ajouter un nouveau compte de messagerie, il
doit vous demander au moins les 3 informations dont on vient de parler: l'adresse
mail (en fait, celui des alias que vous prfrez), le login et le mot de passe.</p>

<p>Il doit aussi vous demander quelques informations autres. Au moins celles-ci:</p>
<ul>
<li>le protocole utilis (ou type de bote aux lettres) qui peut tre POP (ou POP3)
ou IMAP (IMAP 4): FDN fournit les deux,  vous de choisir;</li>
<li>le nom du serveur pour consulter la bote aux lettres: indiquez <tt>pop.fdn.fr</tt>
si vous souhaitez lire votre mail avec le protocole POP ou <tt>imap.fdn.fr</tt> pour
lire en IMAP.</li>
</ul>

<p>Il peut galement vous demander des informations sur la faon d'envoyer du mail
pour cette bote aux lettres. Si vous passez par un accs FDN, il suffit d'indiquer que
le serveur SMTP est <tt>smtp.fdn.fr</tt>. Si vous passez par un accs autre, alors
il faut donner un peu plus d'informations:</p>
<ul>
<li>
