#!/usr/bin/perl

use strict;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;
use FDN::Adsl::Torrent;

prepare_page_adh(only_for_adh => 1);
my $cid = $sess->{content}->{cid};


my $page = "<h1>Ajout d'un torrent</h1>\n";
use Data::Dumper;
print STDERR Dumper($vars);

my $file_name = $vars->{'file'};
$file_name =~ s/[^a-zA-Z0-9.]+/_/g;
$page .= "<p>File is $file_name</p>\n";

my $fh = $FDN::Adsl::Adhs::cgi->upload('file');
my $file_content;
{ local $/;
  $file_content = <$fh>;
  }

if ( ! check_torrent($file_content) ) {
	$page .= "<p>Le fichier n'est pas valide. Probablement parce qu'il ne liste pas le tracker de FDN dans ses tracker.</p>\n";
	eject_page_adh($page);
	exit(0);
}

add_torrent_file($cid, $file_name, $file_content);
$page .= "<p>Le fichier est en place.</p>\n";
$page .= "<p><a href=\"adh-torrents.cgi?sess=%%sess%%\">Retour  la liste</a></p>\n";
eject_page_adh($page);
exit(0);


