#!/usr/bin/perl

use strict;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;
use FDN::Adsl::Torrent;

prepare_page_adh(only_for_adh => 1);
my $cid = $sess->{content}->{cid};
my $page = "<h1>Gestion des torrents</h1>\n";

$page .= "<p>L'URL du tracker est http://tracker.fdn.fr:6969/announce . Une fois install votre torrent, lancez votre seeder, et au bout d'un quart d'heure au plus notre tracker devrait accder au seed, et le torrent devrait alors apparatre sur <a href=http://tracker.fdn.fr:6969/>la page d'tat</a>.</p>";

# Lister les fichiers de l'adherent
my $list = list_torrents_files($cid);
if ( @$list ) {
	$page .= "<table>\n";
	$page .= "<tr><th>Fichier</th><th>Action</ht>\n";
	for my $file ( @$list ) {
		$page .= "<tr><td>$file</td><td><a href=\"adh-deltorrent.cgi?sess=%%sess%%&file=$file\">Retirer</a></td> </tr>\n";
	}
	$page .= "</table>\n";
} else {
	$page .= "<p>Vous n'avez pas encore mis de fichier sur le tracker de l'association.</p>\n";
}

# Formulaire d'ajout
$page .= <<EOF;
<p>Ajout d'un fichier torrent</p>
<form method="POST" action="adh-addtorrent.cgi" enctype="multipart/form-data">
  <input type="hidden" name="sess" value="%%sess%%" />
  <input type="file" name="file" />
  <input type="submit" name="ok" value="Ok" />
</form>
EOF

eject_page_adh($page);


