#!/usr/bin/perl

use strict;
use FDN::Web::Array;
use FDN::Common::Logger;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;
use FDN::Adsl::Infos;
use FDN::Sql::Workflow::Run;


prepare_page_adh(only_for_adh => 1);
my $page = '';
my $cid = $sess->{content}->{cid};

my $vid = $vars->{'vid'};
my $vpn = vpn_par_id($vid);

if ( $vpn->{'CLIENT_ID'} ne $cid ) {
	eject_page_adh('<p>Petit curieux va !</p>');
	exit(0);
}

new_info_vpn($vid,'inline','Validation','Validation de la commande en ligne par l adherent');
workflow_select_db('adsl');
send_event('FAS-vpn'.$vid);

$page .= '<p>La commande est valide. Le VPN sera cr dans quelques minutes, un mail vous sera envoy, les identifiants seront dans le mail, et disponibles ici. Valider une deuxime fois ne sert  rien.</p>';

eject_page_adh($page);
exit(0);


