#!/usr/bin/perl

use strict;
use FDN::Common::Config;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;

prepare_page_adh();
my $page = '';
my $cid = $sess->{content}->{cid};

my $prlid = $vars->{ligid};
my $prl = prlligsepa_par_id($prlid);
if ( $prl->{'CLIENT_ID'} ne $cid ) {
	eject_page_adh('Permission denied');
	exit(0);
}

my $bid = $prl->{'PRLBQ_ID'};
my $pbq = prlbq_par_id($bid);

my $dir = Config_Key('adsl/global.cfg','dirs','stockpdf');
my $file = $dir.'/prllig/'.$cid.'/prl-'.$pbq->{'PRLBQ_DATE'}.'-'.$prlid.'.pdf';
if ( ! -f $file ) {
	eject_page_adh("File not found: $file");
} else {
	send_pdf_file($file);
}
